<?php
/**
 * Main admin class
 *
 * @author Your Inspiration Themes
 * @package YITH Custom Login
 * @version 1.0.2
 */

if ( !defined( 'YITH_LOGIN' ) ) { exit; } // Exit if accessed directly

global $yith_login_options;
$yith_login_options = array(
    //tab general
    'general' => array(
        'label' => __('اصلی', 'yith-custom-login'),
        'sections' => array(
            'general' => array(
                'title' =>  __('تنظیمات اصلی', 'yith-custom-login'),
                'description' => '',
                'fields' => array(
                    'yith_login_enable' => array(
                        'title' => __('فعال سازی افزونه', 'yith-custom-login'),
                        'description' => __( 'با فعال سازی این قسمت، می توانید تنظیمات دلخواه خود را برای صفحه ی ورودی به 
سایت ایجاد کنید.', 'yith-custom-login' ),
                        'type' => 'checkbox',
                        'std' => true
                    ),

                    'yith_login_mascotte' => array(
                        'title' => __( 'نمایش تصویر شاخص', 'yith-custom-login' ),
                        'description' => __( 'در صورتی که تمایل دارید تصویر شاخص در کنار فرم ورود قرار گیرد', 'yith-custom-login' ),
                        'type' => 'checkbox',
                        'std' => true
                    ),

                    'yith_login_mascotte_url' => array(
                        'title' => __( 'آدرس تصویر مشخص شده', 'yith-custom-login' ),
                        'description' => __( 'تنظیم آدرس برای تصویر مشخص شده در نزدید فرم ورود، تنظیمات آن در بالا موجود است', 'yith-custom-login' ),
                        'type' => 'upload',
                        'std' => YITH_LOGIN_URL . 'assets/images/mascotte.png'
                    ),

                    'yith_login_custom_style' => array(
                        'title' => 'تنظیمات دلخواه سی اس اس',
                        'description' => 'ورود کدهای مورد نظر ',
                        'type' => 'textarea',
                        'std' => ''
                    ),
                )
            ),
        )
    ),

    //tab background
    'background' => array(
        'label' => __('پس زمینه', 'yith-custom-login'),
        'sections' => array(
            'background' => array(
                'title' =>  __('تنظیمات پس زمینه ', 'yith-custom-login'),
                'description' => __('شخصی سازی پس زمینه ی صفحه ی ورود', 'yith-custom-login'),
                'fields' => array(
                    'yith_login_background_image' => array(
                        'title' =>  __('تصویر پس زمینه', 'yith-custom-login'),
                        'description' => __('بارگذاری یا انتخاب تصویر پس زمینه از کتابخانه ی چند رسانه ای', 'yith-custom-login'),
                        'type' => 'upload',
                        'std' => YITH_LOGIN_URL . 'assets/images/bg-pattern.png',
                    ),
                    'yith_login_background_color' => array(
                        'title' =>  __('رنگ پس زمینه', 'yith-custom-login'),
                        'description' => __('انتخاب رنگ پس زمینه', 'yith-custom-login'),
                        'type' => 'colorpicker',
                        'std' => '',
                    ),
                    'yith_login_background_repeat' => array(
                        'title' =>  __('پس زمینه ی تکراری', 'yith-custom-login'),
                        'description' => __( 'انتخاب حالت تکرار تصویر پس زمینه', 'yith-custom-login' ),
                        'type' => 'select',
                        'std' => apply_filters( 'yith_login_background_repeat_std', 'repeat' ),
                        'options' => array(
                            'repeat' => __( 'تکرار', 'yith-custom-login' ),
                            'repeat-x' => __( 'تکرار افقی', 'yith-custom-login' ),
                            'repeat-y' => __( 'تکرار عمودی', 'yith-custom-login' ),
                            'no-repeat' => __( 'بدون تکرار', 'yith-custom-login' ),
                        )
                    ),
                    'yith_login_background_position' => array(
                        'title' =>  __('موقعیت پس زمینه', 'yith-custom-login'),
                        'description' =>  __( 'انتخاب موقعیتی برای قرار گرفتن تصویر پس زمینه', 'yith-custom-login' ),
                        'type' => 'select',
                        'options' => array(
                            'center' => __( 'وسط', 'yith-custom-login' ),
                            'top left' => __( 'بالا و چپ', 'yith-custom-login' ),
                            'top center' => __( 'بالا و وسط', 'yith-custom-login' ),
                            'top right' => __( 'بالا و راست', 'yith-custom-login' ),
                            'bottom left' => __( 'پایین و چپ', 'yith-custom-login' ),
                            'bottom center' => __( 'پایین و وسط', 'yith-custom-login' ),
                            'bottom right' => __( 'پایین و راست', 'yith-custom-login' ),
                        ),
                        'std' => apply_filters( 'yith_login_background_position_std', 'top left' )
                    ),
                    'yith_login_background_attachment' => array(
                        'title' =>  __('ضمیمه تصویر پس زمینه', 'yith-custom-login'),
                        'description' => __( 'انتخاب تصویر پس زمینه ی مورد نظر برای ضمیمه کردن', 'yith-custom-login' ),
                        'type' => 'select',
                        'options' => array(
                            'scroll' => __( 'اسکرول', 'yith-custom-login' ),
                            'fixed' => __( 'کامل', 'yith-custom-login' ),
                        ),
                        'std' => apply_filters( 'yith_login_background_attachment_std', 'scroll' )
                    )
                )
            )
        )
    ),

    //tab logo
    'logo' => array(
        'label' => __('Logo', 'yith-custom-login'),
        'sections' => array(
            'logo' => array(
                'title' =>  __('تنظیمات لوگو', 'yith-custom-login'),
                'description' => __('لوگوی مورد نظر', 'yith-custom-login'),
                'fields' => array(
                    'yith_login_logo_image' => array(
                        'title' =>  __('تصویر لوگو', 'yith-custom-login'),
                        'description' => __('بارگذاری یا انتخاب تصویر لوگو از کتابخانه ی چند رسانه ای', 'yith-custom-login'),
                        'type' => 'upload',
                        'std' => YITH_LOGIN_URL . 'assets/images/logo.png',
                    ),
                    'yith_login_logo_color' => array(
                        'title' =>  __('انتخاب رنگ پس زمینه برای لوگو', 'yith-custom-login'),
                        'description' => __('Choose a background color for the logo', 'yith-custom-login'),
                        'type' => 'colorpicker',
                        'std' => '',
                    ),
                    'yith_login_logo_width' => array(
                        'title' =>  __('عرض تصویر لوگو', 'yith-custom-login'),
                        'description' => __('انتخاب عرض تصویر لوگو', 'yith-custom-login'),
                        'type' => 'number',
                        'std' => 196,
                    ),
                    'yith_login_logo_height' => array(
                        'title' =>  __('طول لوگو', 'yith-custom-login'),
                        'description' => __('انتخاب طول تصویر لوگو', 'yith-custom-login'),
                        'type' => 'number',
                        'std' => 53,
                    )
                )
            )
        )
    ),

    //tab container
    'form' => array(
        'label' => __('فرم', 'yith-custom-login'),
        'sections' => array(
            'settings' => array(
                'title' =>  __('تنظیمات', 'yith-custom-login'),
                'description' => __('شخصی سازی فرم', 'yith-custom-login'),
                'fields' => array(
                    'yith_login_container_width' => array(
                        'title' =>  __('اندازه ی فرم', 'yith-custom-login'),
                        'description' => __('انتخاب اندازه مورد نظر برای فرم ورود به صورت پیکسل', 'yith-custom-login'),
                        'type' => 'number',
                        'std' => 275,
                        'step' => 1,
                        'min' => 275,
                        'max' => 800
                    ),
                    'yith_login_username_label' => array(
                        'title' =>  __('جایگاه نام کاربری', 'yith-custom-login'),
                        'description' => __('مشخص کردن جایگاه نام کاربری در فیلد مربوطه', 'yith-custom-login'),
                        'type' => 'text',
                        'std' => 'نام کاربری *'
                    ),
                    'yith_login_password_label' => array(
                        'title' =>  __('جایگاه رمز عبور', 'yith-custom-login'),
                        'description' => __('مشخص کردن جایگاه رمز عبور در فیلد مربوطه', 'yith-custom-login'),
                        'type' => 'text',
                        'std' => 'رمز عبور *'
                    )
                )
            ),
            'typography' => array(
                'title' =>  __('تایپوگرافی', 'yith-custom-login'),
                'description' => '',
                'fields' => array(
                    'yith_login_typo_input' => array(
                        'title' =>  __('متن موجود در فیلد', 'yith-custom-login'),
                        'description' => __('متن تایپوگرافی برای فیلدهای نام کاربری و رمز عبور', 'yith-custom-login'),
                        'type' => 'typography',
                        'std' => array(
                            'size' => 12,
                            'unit' => 'px',
                            'family' => 'BYekan',
                            'style' => 'regular',
                            'color' => '#b4b4b4',
                        ),
                    ),
                    'yith_login_typo_text' => array(
                        'title' =>  __('متن اصلی', 'yith-custom-login'),
                        'description' => __('تنظیم تنظیمات تایپوگرافی برای سایر متون (مثل من را به یاد داشته باش)', 'yith-custom-login'),
                        'type' => 'typography',
                        'std' => array(
                            'size' => 12,
                            'unit' => 'px',
                            'family' => 'BYekan',
                            'style' => 'regular',
                            'color' => '#999999',
                        ),
                    ),
                    'yith_login_typo_submit' => array(
                        'title' =>  __('متن دکمه ی ارسال', 'yith-custom-login'),
                        'description' => __('تنظیم تنظیمات تایپوگرافی متن داخلی دکمه ی ارسال', 'yith-custom-login'),
                        'type' => 'typography',
                        'std' => array(
                            'size' => 15,
                            'unit' => 'px',
                            'family' => 'BYekan',
                            'style' => 'extra-bold',
                            'color' => '#ffffff',
                        ),
                    ),
                    'yith_login_typo_submit_hover' => array(
                        'title' =>  __('متن دکمه ی ارسال،در هنگام هاور شدن', 'yith-custom-login'),
                        'description' => __('تنظیم تنظیمات تایپوگرافی برای متن داخلی دکمه ی ارسال، زمانی که ماوس روی آنقرار میگیرد.', 'yith-custom-login'),
                        'type' => 'colorpicker',
                        'std' => '#ffffff',
                    ),
                )
            ),
            'colors' => array(
                'title' =>  __('رنگ ها', 'yith-custom-login'),
                'description' => '',
                'fields' => array(
                    'yith_login_color_input' => array(
                        'title' =>  __('پس زمینه ی فیلدها', 'yith-custom-login'),
                        'description' => __('تعیین رنگ پس زمینه ی فیلدهای نام کاربری و رمز عبور', 'yith-custom-login'),
                        'type' => 'colorpicker',
                        'std' => '#f2f2f2',
                    ),
                    'yith_login_border_input' => array(
                        'title' =>  __('رنگ خط دور فیلدها', 'yith-custom-login'),
                        'description' => __('تعیین رنگ خط دور فیلدهای نام کاربری و رمز عبور', 'yith-custom-login'),
                        'type' => 'colorpicker',
                        'std' => '#b4b4b4',
                    ),
                    'yith_login_color_input_focus' => array(
                        'title' =>  __('پس زمینه ی فیلد، در هنگام کلیک بر روی آن', 'yith-custom-login'),
                        'description' => __('پس زمینه ی رنگ فیلدهای نام کاربری و رمز عبور در هنگام کلیک بر آن ها', 'yith-custom-login'),
                        'type' => 'colorpicker',
                        'std' => '#ffffff',
                    ),
                    'yith_login_border_input_focus' => array(
                        'title' =>  __('رنگ خط دور فیلدها، در هنگام کلیک بر روی آن ها', 'yith-custom-login'),
                        'description' => __('مشخص کردن رنگ خط دور فیلدهای رمز عبور و پسورد در هنگام کلیک بر روی آن ها', 'yith-custom-login'),
                        'type' => 'colorpicker',
                        'std' => '#8a8a8a',
                    ),
                    'yith_login_submit_color' => array(
                        'title' =>  __('رنگ پس زمینه ی ارسال ', 'yith-custom-login'),
                        'description' => __('مشخص کردن رنگ پس زمینه ی دکمه ی ارسال', 'yith-custom-login'),
                        'type' => 'colorpicker',
                        'std' => '#617291',
                    ),
                    'yith_login_submit_border_color' => array(
                        'title' =>  __('رنگ خط دور دکمه ی ارسال ', 'yith-custom-login'),
                        'description' => __('مشخص کردن رنگ خط دور دکمه ی ارسال', 'yith-custom-login'),
                        'type' => 'colorpicker',
                        'std' => '#3c5072',
                    ),
                    'yith_login_submit_color_hover' => array(
                        'title' =>  __('رنگ پس زمینه ی دکمه ی ارسال در هنگام هاور شدن', 'yith-custom-login'),
                        'description' => __('مشخص کردن رنگ دکمه پس زمینه در هنگام هاور شدن', 'yith-custom-login'),
                        'type' => 'colorpicker',
                        'std' => '#3c5072',
                    ),
                    'yith_login_submit_border_color_hover' => array(
                        'title' =>  __('رنگ خط دور دکمه ی ارسال در هنگام هاور شدن', 'yith-custom-login'),
                        'description' => __('مشخص کردن رنگ خط دور دکمه ی ارسال در هنگام هاور شدن', 'yith-custom-login'),
                        'type' => 'colorpicker',
                        'std' => '#3c5072',
                    ),
                )
            )
        )
    )
);
